<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="180dp"
    android:layout_marginStart="10dp"
    android:layout_marginEnd="10dp">

    <androidx.cardview.widget.CardView
        android:id="@+id/card_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center_horizontal"
        android:layout_marginBottom="12dp"
        app:cardElevation="2dp"
        app:cardCornerRadius="12dp">

    <ImageView
        android:id="@+id/im"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:src="@drawable/euphoria_place_holder"/>

    <FrameLayout
        android:id="@+id/layout_favorite"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="end"
        android:layout_marginTop="5dp"
        android:elevation="2dp"
        android:background="@drawable/bg_euphoria_collect"
        android:layout_marginEnd="10dp"
        app:cardCornerRadius="100dp">

        <ImageView
            android:id="@+id/im_favorite"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_gravity="end"
            android:layout_marginStart="2dp"
            android:layout_marginTop="2dp"
            android:layout_marginEnd="2dp"
            android:layout_marginBottom="2dp"
            android:padding="2dp"
            android:src="@drawable/selector_euphoria_downloader_love" />
        </FrameLayout>
    </androidx.cardview.widget.CardView>
</FrameLayout>